[FFe] Sync docker.io 0.9.1 from Debian unstable

Bug #1295093 reported by James Page
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
docker.io (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

Upstream release announce: http://blog.docker.io/2014/03/docker-0-9-introducing-execution-drivers-and-libcontainer/
Changelog: https://github.com/dotcloud/docker/blob/release/CHANGELOG.md

Rationale: This is a stabilization release on the way to docker 1.0; it does include a new execution driver API (for different container backends) and a switch to libcontainer which bypasses the use of LXC to interact with containers etc...

Build log attached

Testing:
Installed built packages; created docker image for memcached using local Dockerfile; started, stopped, mapped ports, checked function.

Revision history for this message
James Page (james-page) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in docker.io (Ubuntu):
status: New → Confirmed
Changed in docker.io (Ubuntu):
status: Confirmed → New
Changed in docker.io (Ubuntu):
status: New → Confirmed
Revision history for this message
James Page (james-page) wrote :

@Ubuntu Release

Please can we get a yes/no on this sync.

summary: - [FFe] Sync docker.io 0.9.0 from Debian unstable
+ [FFe] Sync docker.io 0.9.0 from Debian testing
James Page (james-page)
Changed in docker.io (Ubuntu):
status: Confirmed → New
importance: Undecided → High
Revision history for this message
James Page (james-page) wrote : Re: [FFe] Sync docker.io 0.9.0 from Debian testing

@Ubuntu Release

Please can we get a yes/no on this sync.

Revision history for this message
James Page (james-page) wrote :

Hmm - actually please ignore this for the time being - 0.9.0 now appears to be broken on 14.04 - 0.8.1 still works.

Looking into this now.

James Page (james-page)
Changed in docker.io (Ubuntu):
status: New → Incomplete
Revision history for this message
James Page (james-page) wrote :

OK - so this will now require a merge of 0.9.1 with a cherry picked fix from upstream trunk to fix a problem with the apparmor profile that docker generates (see https://github.com/dotcloud/docker/issues/5082).

With this applied I was able to build and exercise the 0.9.1 package from Debian unstable OK on trusty.

Changed in docker.io (Ubuntu):
status: Incomplete → New
summary: - [FFe] Sync docker.io 0.9.0 from Debian testing
+ [FFe] Merge docker.io 0.9.1 from Debian unstable
Revision history for this message
James Page (james-page) wrote : Re: [FFe] Merge docker.io 0.9.1 from Debian unstable
Revision history for this message
Dave Walker (davewalker) wrote :

As this is now a straight sync, and it seems to make sense to follow Debian closely on this package I am happy to approve. Thanks for working this through Debian.

FFe Approved for sync.

summary: - [FFe] Merge docker.io 0.9.1 from Debian unstable
+ [FFe] Sync docker.io 0.9.1 from Debian unstable
Revision history for this message
James Page (james-page) wrote :

This bug was fixed in the package docker.io - 0.9.1~dfsg1-2

---------------
docker.io (0.9.1~dfsg1-2) unstable; urgency=medium

  * Added upstream apparmor patch to fix newer apparmor versions (such as the
    version appearing in Ubuntu 14.04).
  * Added mkimage-* docker.io binary name patches (Closes: #740855).

 -- Tianon Gravi <email address hidden> Tue, 08 Apr 2014 23:19:08 -0400

docker.io (0.9.1~dfsg1-1) unstable; urgency=medium

  * Updated to 0.9.1 upstream release (Closes: #743424).
  * Added cgroupfs-mount dependency (Closes: #742641).
  * Added Suggests entries for optional features, chiefly lxc (Closes: #742081).
  * Added notes about "root-equivalence" to README.Debian (Closes: #742387).

 -- Tianon Gravi <email address hidden> Thu, 03 Apr 2014 21:38:30 -0400

docker.io (0.9.0+dfsg1-1) unstable; urgency=medium

  * Updated README.Debian to not be quite so outdated (Closes: #740850).
  * Updated to 0.9.0 upstream release.

 -- Tianon Gravi <email address hidden> Tue, 11 Mar 2014 22:24:31 -0400

Changed in docker.io (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers